version: '3.8'

services:
  currency_converter_internal:
    build:
      context: .
      dockerfile: Dockerfile
    env_file:
      - .env
    command: /.scripts/start.sh
    volumes:
      - .:/app
    expose:
      - ${PROJECT_PORT}
    networks:
      - crypto-services

  nginx:
    container_name: currency_converter
    build: ./nginx
    ports:
      - '83:83'
    restart: on-failure
    depends_on:
      - currency_converter_internal
    networks:
      - crypto-services

networks:
  crypto-services:
    external: true
